2.28.0:

2009-09-21  Murray Cumming  <murrayc@murrayc.com>

	* configure.in: Increased version for GNOME 2.28.

2.26.0:

2009-01-24  Deng Xiyue  <manphiz@gmail.com>

	* Change license header to mention Lesser General Public License
	version 2.1 instead of Library General Public License, to be
	consistent with COPYING.

2008-12-12  Przemysław Grzegorczyk  <pgrzegorczyk@gmail.com>

	* libgnomeui/src/entry.ccg:
	* libgnomeui/libgnomeuimm/ui-items-derived.cc:
	* libgnomeui/libgnomeuimm/app-helper.cc: Cleaned up gtk includes to use
	only toplevel headers.
	Bug #564222

2.24.0:

2008-09-21  Murray Cumming  <murrayc@murrayc.com>

	* configure.in: Increased version for GNOME 2.24.

2.22.0:

Increased version for GNOME 2.22.

2.20.2:

2008-02-10  hodoscek  <milan@cmm.ki.si>

	* libgnomeui/libgnomeuimm/app-helper.cc: Add an include to fix the 
	build with gcc 4.3 pre-releases.

2008-01-28  Murray Cumming  <murrayc@murrayc.com>

	* libgnomeui/src/font-picker.hg: Added a string conversion for the signal, 
	because this is no longer in the .m4 file installed by glibmm.

2.20.1:

2008-01-03  Murray Cumming  <murrayc@murrayc.com>

	* configure.in: Increase the libgnomeuimm and gnome-vfsmm versions needed, 
	because our examples need them. Bug 490186 (manphiz). 

2007-11-08  Stanislav Brabec  <sbrabec@suse.cz>

	* libgnomeui/libgnomeuimm/app-helper.cc,
	examples/iconlist/iconlist2.cc: Fixed gcc 4.3 implicit
	declaration errors (#491469).
	* libgnomeui/libgnomeuimm/ui-items-icon.cc: Never return random
	value in Icon::get_pixmap_info (#491469).

2.20.0:

2007-09-09  Murray Cumming  <murrayc@murrayc.com>

	* docs/reference/Doxyfile.in: Add defines to PREDEFINED so that documentation 
	is built wihout hiding optional API, such as use of exceptions. 

2.18.0:

2007-03-09  Murray Cumming  <murrayc@murrayc.com>

	* Increased version for the GNOME 2.18 release.

2.16.0:

2006-04-03  Michael Terry  <mike@mterry.com>

	* configure.in: Depend on newer libgnomemm (though a version 
	does not exist yet with the necessary Main constructor.
	* examples/gnome-hello/hello.cc: Use a Glib::OptionContext 
	instead of PoptContext. 

2.14.0:

2006-03-16  Murray Cumming  <murrayc@murrayc.com>

	* NEWS:
	* configure.in: Increased version for GNOME 2.14.

2005-12-06   Jonathon Jongsma <jonathon.jongsma@gmail.com>

	* configure.in: Look for gmmproc in generic libdir 
	directory, because that is not always lib/. This 
	fixes the build on some 64-bit systems.

2.12.0:

2005-09-07  Murray Cumming  <murrayc@murrayc.com>

	* NEWS: Updated.
	* configure.in: Increased version.

2.10.0:

2.8.0:

2004-09-12  Murray Cumming  <murrayc@murrayc.com>

	* Increased version for GNOME 2.8 version.

2.7.2 (first 2.7 version)

2004-06-06  Murray Cumming  <murrayc@murrayc.com>

	* libgnomeui/src/iconlist.hg: Added select_all().
	* libgnomeui/src/druid-page-standard.hg: Add contents-background, 
	contents-background-gdk, and contents-background-set properties.
	* libgnomeui/src/libgnomeui_methods.defs: Updated with h2defs.py
	* libgnomeui/src/libgnomeui_signals.defs: Updated with 
	tools/extra_defs_gen.

This is the HEAD, branch, for libgnomeuimm 2.7.x, which will become libgnomeuimm 2.8.x.

2.6.0:

2004-04-12  Bryan Forbes  <bryan@reigndropsfall.net>

	* tools/extra_defs_gen/Makefile.am: link against the 2.4 release of glibmm.

2.5.4:

2004-04-07  Murray Cumming  <murrayc@murrayc.com>

	* libgnomeui/src/thumbnail.hg, icon-lookup: Pass Glib::RefPtrs by
	const reference. Make get methods const.

2004-03-29  Bryan Forbes  <bryan@reigndropsfall.net>

	* configure.in:
	* libgnomeui/libgnomeuimm-2.6.pc.in:
	* libgnomeui/libgnomeuimm-2.6-uninstalled.pc.in: add dependency on
	gnome-vfsmm.
	* libgnomeui/libgnomeuimm.h:
	* libgnomeui/src/Makefile_list_of_hg.am_fragment: added new files.
	* libgnomeui/src/icon-entry.hg: Added _IGNORE for some functions.
	* libgnomeui/src/icon-lookup.[hg|ccg]: new utility functions to look up
	icons.
	* libgnomeui/src/libgnomeui_docs.xml:
	* libgnomeui/src/libgnomeui_docs_override.xml: added these to quiet gmmproc.
	* libgnomeui/src/libgnomeui_enums.defs:
	* libgnomeui/src/libgnomeui_methods.defs:
	* libgnomeui/src/libgnomeui_signals.defs: regenerated.
	* libgnomeui/src/pixmap-entry.hg: added methods to ignore.
	* libgnomeui/src/thumbnail.[hg|ccg]: new class to wrap
	GnomeThumbnailFactory; also, some utility functions.
	* tools/extra_defs_gen/generate_defs_libgnomeui.cc: removed some classes we
	don't generate anymore and added some that we need now.
	* tools/m4/convert_libgnomeuimm.m4: added a conversion for
	GnomeThumbnailSize<->Gnome::UI::ThumbnailSize.

2.5.3:

2004-03-29  Bryan Forbes  <bryan@reigndropsfall.net>

	* libgnomeui/libgnomeuimm/stock.cc: #include stock.h, to prevent
	the linker problem.
	* libgnomeui/libgnomeuimm.h: #include stock.h, so people do not
	need to do this explicitly.

2.5.2:

2004-03-29  Bryan Forbes  <bryan@reigndropsfall.net>

	* libgnomeui/src/entry.hg: deprecated.
	* libgnomeui/src/pixmap-entry.[hg|ccg]: child of Gnome::UI::FileEntry.

2.5.1:

2004-02-14  Murray Cumming  <murrayc@murrayc.com>

	* Completed update to use latest libsigc++ 2 API. To do this,
	I removed the CallbackWithWidget override of the UI::Item 
	constructors, so callbacks will not be able to receive a widget
	pointer. This does not seem to be useful anyway.

2004-02-13  Murray Cumming  <murrayc@murrayc.com>

	* Almost updated for latest libsigc++ 2 API, but there
	are still build problems because we can not overload methods
	by slot type.

2004-02-04  Bryan Forbes  <mxpxfifws@yahoo.com>

	* examples/iconlist/iconlist2.cc: changed drag_data_get to use
	Gtk::SelectionData.

2003-12-21  Eric Bourque <ericb@computer.org>
	* libgnomeuimm.spec.in: fixed dependency to gtkmm2 instead of gtkmm

2.5.0:
	
2003-12-12  Murray Cumming  <murrayc@usa.net>

	* libgnomeui/libgnomeuimm/init.cc: Called glib::init() and 
	Gtk::wrap_init() at the start. This may or may not actually
	be necessary.

2003-11-29  Murray Cumming  <murrayc@usa.net>

	* configure.in, build_shared/Makefile_build.am_shared: Added 
	deprecation option to prevent use of deprecated API in other
	libraries.
	* Deprecated ColorPicker, FontPicker, 

2003-11-03  Murray Cumming  <murrayc@usa.net>

	* This is now libgnomeuimm 2.5, which will become 2.6. It uses 
	gtkmm 2.4 and is parallel-installable.

This is HEAD, for GNOME 2.5/2.6 and gtkmm 2.4.

2003-09-25  Eric Bourque  <ericb@computer.org>
	
	* libgnomeuimm.spec.in: updated for 2.0
	
2.0.0:
	
2003-09-04  Murray Cumming  <murrayc@usa.net>

	* libgnomeui/libgnomeuimm/app-helper.cc: Gnome::UI::Info now
	inherits publically from GnomeUIInfo, to allow a cast from
	GnomeUIInfo* to Info* with gcc 3.3.

2003-05-26  Murray Cumming  <murrayc@usa.net>

	* Removed dependency on libbonobouimm.
	* Changed library name to -2.0 instead of -1.3. The API is now frozen.
        * libgnomeuimm/src/app.[hg|ccg]: 
	Gnome::App::add_toolbar(), add_docked(), add_dock_item(), get_dock(), 
 	get_dock_item_by_name() now use the C type, but you can use Glib::wrap()
	if you are also using libbonobouimm.
        * Makefile.am: Build the examples as part of the main build.

1.3.17:

2003-05-23  Bryan Forbes  <mxpxfifws@yahoo.com>

	* libgnomeuimm/src/dateedit.[hg|ccg]: Wrapped GnomeDateEditFlags so we can
	use the | operator on our enums;  changed all methods to use this new enum;
	fixed build issue with Murray's new constructors and now they use the new
	enum; fixed some comments that weren't closed right; this now compiles
	correctly :).
	* libgnomeuimm/src/app.hg: fixed some comments that weren't closed right.
	* tools/m4/convert_libgnomeuimm.m4: added _CONVERSION()'s for
	GnomeDateEditFlags <-> DateEditFlags; moved _CONVERSION from gint ->
	DateEditFlags to this file and changed it to a static_cast using the new
	enum.

2003-05-18  Murray Cumming  <murrayc@usa.net>

	* libgnomeuimm/src/dateedit.[hg|ccg]: Custom wrote the constructors,
	to use the _construct() functions. Don't know if this builds yet,
	because libbonobomm doesn't build with the orbitcpp in cvs.

1.3.16:

2003-03-15  Murray Cumming  <murrayc@usa.net>

	* libgnomeuimm/src/entry.hg: Changed gtk_entry() to get_gtk_entry() and
	added const overload.

2003-03-08  ERDI Gergo  <cactus@cactus.rulez.org>

	* libgnomeui/src/entry.hg: Make gtk_entry() return a Gtk::Entry*
	(closes #107161)

	* libgnomeui/libgnomeuimm/app-helper.cc (get_data_): Applied fix
	by Thomas (closes #107152)

	* libgnomeui/libgnomeuimm/ui-items-icon.h: Changed xpmdata_t type
	to work with included inline XPMs

1.3.15:

2003-01-08  libbonobouimm requirement increased.
   
1.3.14:

2003-01-28  ERDI Gergo  <cactus@cactus.rulez.org>

	* libgnomeui/libgnomeuimm/app-helper.cc: Fixed fill() to be
	correctly defined in the Gnome::UI::Items namespace where it
	belongs, plus made it return the filled-in array of
	UI::Items::Info elements that can be used to access the underlying
	Gtk::Widgets directly

	* examples/uiinfo/popup.cc: New example to show usage of the
	Gnome::UI::Items mechanism to create pop-up menus

2003-01-04  Murray Cumming  <murrayc@usa.net>

	* libgnomeui/src/file-entry.[hg|ccg]: FileEntry should inherit from 
	Gtk::VBox, not Gtk::HBox.

1.3.13:

2002-12-25  Murray Cumming  <murrayc@usa.net>

	* libgnomeui/libgnomeuimm/app-helper.[h|cc]: Renamed str parameters
	to label, because that's what they are.

2002-12-25  Murray Cumming  <murrayc@usa.net>

	* libgnomeui/libgnomeuimm/app-helper.[h|cc]: Store the Icon
	information (stock_id, filename, or data) in the shared InfoData 
	instance, like the label and hint already are. Previously the
	stock_id's c_str() was kept around longer than the stock_id string
	itself. This also allows use of non static filename strings for
	icons.

2002-12-25  Murray Cumming  <murrayc@usa.net>

	* libgnomeui/libgnomeuimm/app-helper.[h|cc], ui-items-*.[h|cc]:
	Moved all implementation into the .cc files.

2002-12-25  Murray Cumming  <murrayc@usa.net>

	* libgnomeui/libgnomeuimm/app-helper.[h|cc]: InfoData: Use 
	Glib::ustring member variables instead of char*, because it's much
	simpler.

2002-12-25  Murray Cumming  <murrayc@usa.net>

	* libgnomeui/lignomeuimm: Added ui-items-icon.[h|cc], 
	ui-items-derived.[h|cc] and ui-items-stock.ph|cc] to hold stuff that
	used to be in app-helper.[h|cc].
	* libgnomeui/libgnomeuimm/app-helper.[h|cc]: General syntax clean
	up. Renamed Info_ class to InfoData.

2002-12-24  Murray Cumming  <murrayc@usa.net>

	* examples/menu/: Used a Gtk::HButtonBox to improve the UI.

2002-12-17  Matthew Tuck  <matty@chariot.net.au>
	
	* libgnomeui/libgnomeuimm/app-helper.cc: Fixed 2 mismatched frees,
	new [] and delete, found under Valgrind.
	
2002-12-16  Murray Cumming  <murrayc@usa.net>

	* libgnomeui/src/app.hg: Used _UNMANAGEABLE gtkmmproc macro
	to prevent the wrap() macro from using Gtk::manage() on 
	Gnome::UI::App, because it's a top-level window.

2002-12-10  Bradley Bell  <btb@debian.org>
	
	* scripts/Makefile.am: distribute macros.m4

2002-11-28  Murray Cumming  <murrayc@usa.net>

	* examples/gnome-hello/hello.cc: Added a std:: prefix for gcc 3.x.
	* Removed some gnome-i18h.n includes from public headers and 
	included them in examples instead, to avoid conflicts with the various
	_() definitions.

2002-11-25  Tassos Bassoukos  <abas@aix.meng.auth.gr>

       * Gnome::UI::Items::fill() functions had implementation in
       wrong namespace.

1.3.12:
	
2002-11-01  Murray Cumming  <murrayc@usa.net>

	* Now uses libbonobouimm.
	* Gnome::UI::App: Uses Gnome::Bonobo::DockItem and
	Gnome::Bonobo::DockItemBehavior instead of the C types.

1.3.11:
	Updated for gtkmm2 library name.
	
1.3.10:
	
2002-09-15  Murray Cumming  <murrayc@usa.net>

	* libgnomeui/src/appbar.hg: Wrapped GnomePreferencesType enum and
	used it in the AppBar constructor.
	* Made some methods const and added some const get_() overloads.

2002-09-15  Murray Cumming  <murrayc@usa.net>

	* Gnome::UI::Items::fill(): Uses bool instead of gboolean, and int
	instead of gint for parameters.

2002-08-25  Murray Cumming  <murrayc@usa.net>

	* Added libgnomeui/libgnomeuimm/stock.[h|cc], like
	gtkmm/stock.[h|c], but using Gnome stock icons.

2002-08-25  Murray Cumming  <murrayc@usa.net>

	* Corrected examples to use Gtk::Stock items.

2002-08-22  Murray Cumming  <murrayc@usa.net>

	* libgnomeui/libgnomeuimm/app-helper.[h|cc]:
	Gnome::UI::Items::fill() Uses Gtk::AccelGroup as a RefPtr.

1.3.9:
	
2002-08-08  ERDI Gergo  <cactus@cactus.rulez.org>

	* libgnomeui/libgnomeuimm/app-helper.h: Changed Icon(stock_id)
	constructor to use a Gtk::StockID instead of a const char*, to
	allow usage of Gtk::Stock::* 

2002-07-19  Murray Cumming  <murrayc@usa.net>

	* Updated examples for latest gtkmm pack_start() API.

1.3.8:
	
2002-07-06  Murray Cumming  <murrayc@usa.net>

	* Added libglademm dependency although libgnomeuimm doesn't use it
	yet. But libgnomeuimm is a top-level library so it's just
	convenient for it to bring everything in, and libgnomeui requires
	libglade anyway.

1.3.7:
	
2002-06-22  Murray Cumming  <murrayc@usa.net>

	* IconList: STL-style interface: Corrected custom methods for the
	recent change from pointers to references in the base class in
	gtkmm.
	* examples/druid: Now builds, using page_append() instead of the 
	STL-style interface that we removed.

1.3.6:

2002-06-16  Murray Cumming  <murrayc@usa.net>

	* examples: Changed use of Box::pack_start() to use the new
	enum parameter.
	
2002-06-16  Ole Laursen  <olau@hardworking.dk>

	* About:
	  - Fix for empty translators notebook tab: bug #84672
	  - Added reference documentation. bug #84787
	
2002-05-20  Daniel Elstner  <daniel.elstner@gmx.net>

	* libgnomeui/src/druid-page-edge.ccg: Get rid of default method
	arguments in the implementation.

1.3.5:

2002-04-30  Murray Cumming  <murrayc@usa.net>

	* Gnome::UI::IconList: uses namespace enums.
	* IconList examples now build.

2002-04-29  Murray Cumming  <murrayc@usa.net>

	* libgnomeuimm.h now #include gconfmm.h
	* Removed construct_copies.[h|c] - they aren't needed now.
	* Gnome::UI::AppBar: Added methods.

2002-04-27  Murray Cumming  <murrayc@usa.net>

	* Added wrappers for Druid, DruidPage, DruidStandard, and DruidEdge.

2002-04-27  Murray Cumming  <murrayc@usa.net>

	* Examples now build from top-level examples directory. Simplified
	Makefiles like in gtkmm2.

2002-04-23  Murray Cumming  <murrayc@usa.net>

	* Generated sources are now distributed. build_shared/*.am_fragment 
	files copied from libgnomecanvasmm.	

1.3.4:
	
2002-04-01  Murray Cumming  <murrayc@usa.net>

	* Use new _DEFS format in *.hg

2002-03-27  Murray Cumming  <murrayc@usa.net>

	* Updated gnome-hello example for changed Gtk::MessageDialog
	constructors.

2002-03-14  Daniel Elstner  <daniel.elstner@gmx.net>

	* libgnomeui/libgnomeuimm/app-helper.c (cpp_strdup):
	Use ustring::bytes(), not ustring::size().

2002-03-14  Daniel Elstner  <daniel.elstner@gmx.net>

	* libgnomeui/libgnomeuimm/app-helper.c (libgnomeuimm_info_call):
	Catch any exceptions from the callback slot, and call
	Glib::exception_handlers_invoke() if something has been caught.
	* examples/gnome-hello/application.cc (on_menu_help_about):
	Remove try/catch block: it doesn't make sense to catch
	exceptions without handling them.

2002-03-14  Murray Cumming  <murrayc@usa.net>

	* examples/gnome-hello: While trying to debug a segfault that I
	eventually tracked down to a dodgy ORBit install, I rewrote the
	gnome-hello example, separating the instance management from the main
	App class, and solving a Help|About segfault due to an incorrect
	pixmap filename.

1.3.3:
	
2002-03-10  Murray Cumming  <murrayc@usa.net>

	* Changed signals to use C++ types.

1.3.2:
	
2002-02-20  Murray Cumming  <murrayc@usa.net>

	* Added IconTextItem wrapper, and used it in IconList.
	* Updated About properties.
	* Increased version number.

2002-02-18  Murray Cumming  <murrayc@usa.net>

	* Now depends on gconfmm, because libgnomeui depends on gconf, and
	this will make extra awkward initialization unnecessary when people 
	use gconfmm with a gnomemm app.
	* The pkg-config .pc file, and the ModuleInfo now share the version 
	numbers of their dependencies with configure.in's PKG_CHECK_MODULES()
	call.

Release 1.3.1:

2002-01-25  Murray Cumming  <murrayc@usa.net>

	* Implemented IconList's STL-style SelectionList using gtkmm's GP_LIST
	macros. Previously it was all copy-pasted code.

Release 1.3.0:

2002-01-03  Murray Cumming  <murrayc@usa.net>

	* The libgnomeui widgets are now in the Gnome::UI namespace.
	
        gnomemm 1.2         libgnomeuimm 2
	Gnome::App      ->  Gnome::UI::App
	Gnome::UI::Info ->  Gnome::UI::Items::Info

	The Items namespace might not have the best name, but we can
	debate that later.
	This requires the latest gtkmm, because I needed to add 
	nested namespace support to generate_wrap_init.pl.

2001-12-04  Murray Cumming  <murrayc@usa.net>

	* Created libgnomeuimm for libgnomeui in GNOME2.
	  So far only GnomeAbout and GnomeApp are wrapped, 
	  and you'll need the gnome_about_construct() patch
	  that I recently posted to gnome-2.0-list.
	* I notice that Bonobo types are used in the GnomeApp
	  interface, so libgnomeuimm can't be totally finished
	  until we have a solution for libbonobo/libbonboui.

Release 1.2.2
  * Gnome::UI::Help fixed: This should be added to the
    Help menu to automatically add items from the
    topics.dat file. (Murray Cumming)
  * gnome-hello example: The About box is now closed
    and deleted when [Close] is clicked
    (Murray Cumming)
	
Release 1.2.1
  * App::create_toolbars fixed to use member UI::Array.
    This allows access to the widgets, as well as
    properly managing memory for the UI Items.
    - menu example modified to demonstrate disabling
      of menu item widgets. (Murray Cumming)
  * configure.in: Don't add -I$prefix/include to
    GNOMEMM_INCLUDEDIR if $prefix=/usr. -I/usr/include
    should never be used because it overrides the order
    of gcc's implicit include path. gtkmm-config.in has
    been corrected too. (Daniel Elstner)
  * Dialog, MessageBox, PropertyBox: Added extra
    documentation so people know that these are not
    self-destructed when run() or run_and_close()
    returns. (Murray Cumming)

Release 1.2.0
  * Canvas example:
      Added example.png to test CanvasImage.
      Items are now deleted in the destructor.
      (Murray Cumming)
  * Reference Documentation:
      Location of perl not hardcoded. (Cedric Gustin)
  * Some gcc 3.0 std namespace fixes. (Claudio Bley)

Release 1.1.21
  * CanvasText: set_font(const GdkFont&) conversion
    fixed and set_font(const string&) added.
    (Murray Cumming)
  * CanvasItem: event signal marshalled again. We lost
    this fix sometime after 1.1.17. (Gergõ Érdi)
  * Uncommented the CanvasHelper::anchor property,
    adding the necessary gtkpacker.h #include.
    (Murray Cumming)
  * Fixed CanvasHelpers::font for Gdk_Font input and
    added a string constructor. (Murray Cumming)
  * Added CanvasText::set_fontset(). (Murray Cumming)

Release 1.1.20
  Unofficial, with some 1.1.21 changes.

Release 1.1.19
  * canvas-property.h is installed.
    (Murray Cumming)

Release 1.1.18
  * Namespace and other fixes for gcc 3.
    (Murray Cumming and Joe Yandle)
  * New Canvas API (KEN)
      Adds streams-style interface. See examples.
  * MDIChild:
      Comments in code.
      Implemented set_config_string(), remove_view(),
      and set_active(). (Murray Cumming)


Release 1.1.17
  * Improved configure checks for Gtkmm and libsigc++.
    (Eric Bourque)
  * App:
    create_menus() and create_toolbar() now
    return UI::Array<>s that provide the widget
    pointers.
    Added insert_menus() and remove_menus().
    Added menu example, to demonstrate access to menu
    item widgets and insert_menus().
    (Murray Cumming)
  * Added Gnome::Pixmap::find_file() as wrapper for
    gnome_pixmap_file(). (Murray Cumming)
  * CanvasItem::event()'s propagation can be stopped by
    returning TRUE in signal handler (Gergõ Érdi)

Release 1.1.16
  * Fixed AppBar default constructor. (Murray Cumming)
  * Improved Point and AffineTrans wrappers. Put them in
    their own point.h/.cc and affinetrans.h/.cc files,
    in the Gnome::Art namespace.
    (Agustin Ferrin Pozuelo)
  * Added canvas_events example. (Agustin Ferrin Pozuelo)
  * Added canvas_affine example. (Agustin Ferrin Pozuelo)
  * configure: fixed check for perl. (Agustin Ferrin Pozuelo)
  * IconList: Removed default constructor. Fixed signals.
    Added selection() method, with SelectionList.
    Added examples.
    (Andreas Holzmann)
  * Canvas, CanvasItem: Changed some pointer args to
    references (Andreas Holzmann).
  * AM_PATH_GNOMEMM() macro installed.
    (Agustin Ferrin Pozuelo)

Release 1.1.15
  * Changed AffineTrans::operator[] to return reference.
    (Falk Hueffner)
  * Examples now quit when close button is clicked,
    instead of just hiding their windows.
    (Murray Cumming)
  * Fixed Clock constructor problems, and
    added demo. (Murray Cumming)
  * CanvasItem sub-classes:
    - Removed default constructors - there's nothing
      in libgnomeui for these.
    - IconTextItem (icon-item.gen_h): Constructors are now
      like other CanvasItems. (Murray Cumming)
  * Fixed Druid constructor problems, and
    added demo. (Murray Cumming)
  * Fixed MessageBox constructor problems, and
    added demo. (Murray Cumming)
  * Fixed Dialog self-destruct by correcting
    close signal wrapping. (Karl Nelson)
  * Dialogs (and sub-classes) now use close_hides()
    as default, to prevent self-destruction.
    (Murray Cumming)
  * Reference documentation now builds
    (Murray Cumming)
   * Fixes to app-helper to allow Slot1<void,Gtk::Widget*> and
      Slot0<void> on UI::Info items. (Karl Nelson)


==================================================================

Release 1.1.14
  ?

==================================================================

Release 1.1.13
  * Static string problem on initialization
  * gcc 2.96 fixes.

==================================================================

Release 1.1.12
  * Massive cleanup of internals (Murray Cumming)
  * Animator and demo (Murray Cumming)
  * HRef (Murray Cumming)
  * Fixes to UIInfo (Murray Cumming)
  * added add_button to dialog (Murray Cumming)
  * cleanups of types to match GNOME
  * Canvas fixes (Sebastian Rittau)
  * MDI fixes (Manuel Clos and Sebastian Rittau)
  * Complete demo for MDI (Manuel Clos)
  * Added radio items (Karl)
  * Improved UIInfo conversions (Karl)
  * Demos for UIInfo (Karl)
  * STL name cleanups (Karl)

